#!/usr/bin/env bash

# Compile
echo "Compiling..."
make

# and run
echo
echo "Running sequential code..."
./test_seq.x

echo 
echo "Running MPI code..."
$MPIEXEC -np 2 test_mpi.x

echo 
echo "Running OpenMP code..."
OMP_NUM_THREADS=2
./test_omp.x
